echo off
REM static char SccsId[] = "@(#)mksamp.bat	1.3   10/4/95";
echo.
echo        Copyright (c) KUBOTA Corporation and HUDSON SOFT,
echo                 1994, 1995 All Rights Reserved
echo.
echo This software comprises unpublished confidential information of
echo KUBOTA Corp. and HUDSON SOFT. It may not be used, copied or made
echo available to anyone, except in accordance with the license under
echo which it is furnished.
echo.

fxcc -c -O2 -I../../include -g %1.c
del samplink.tmp
echo -v -m%1.map -o %1 /zseg+vlib_zero+farl_zero+asl_zero:100,,7e00  > samplink.tmp
echo /cseg:8000 >> samplink.tmp
echo ../../lib/_startup.o >> samplink.tmp
echo ../../lib/_stack.o >> samplink.tmp
echo %1.o >> samplink.tmp
echo ../../lib/libasl.a ../../lib/libfarl.a ../../sample/common/libcmn73.a ../../lib/piolib.a ../../lib/vlib.a >> samplink.tmp
fxlk @samplink.tmp
